Installer - Bug #31964

Sidekiq workers are configured to process queues sequentially
02/25/2021 12:41 PM - Adam Ruzicka

Status: Closed

Priority: Normal
Assignee: Adam Ruzicka
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 2.5.0
Triaged: Yes Found in Releases:
Bugzilla link: 1932700 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/919,
https://github.com/theforeman/puppet-for
eman/pull/927

Description

the jobs in the "remote_execution" queue will only be processed only if the "default” queue is empty.

Associated revisions

Revision e2e5d355 - 04/07/2021 12:47 PM - Ewoud Kohl van Wijngaarden

Refs #31964 - Introduce foreman::to_symbolized_yaml

This function symbolizes keys in YAML which is typically what Foreman
config files use. This is hard to achieve with pure Puppet so a Ruby
function is used.

Revision 616f172d - 04/07/2021 12:47 PM - Ewoud Kohl van Wijngaarden
Fixes #31964 - Assign equal weight to sidekiq queues
The previous approach worker, but it made sidekiq default worker process all

items from the default queue before moving to remote execution queue. This
change adds equal weight to the queues, making sidekiq pick jobs from both.

History

#1 - 02/25/2021 12:52 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-foreman/pull/919 added

#2 - 03/10/2021 05:27 PM - Ewoud Kohl van Wijngaarden
- Category set to Foreman modules

- Triaged changed from No to Yes

#3 - 03/25/2021 04:15 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-foreman/pull/927 added

#4 - 04/07/2021 12:47 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#5 - 04/07/2021 01:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|616f172d561d1f98c3d3a16bbdf05a12fa71c6a8.
